1 Reply Latest reply on May 16, 2017 6:13 AM by kglad

    gradle setup for the adobe creative suit sdk

    npomfret Level 1

      The getting started guide for the android version of the adobe creative suit sdk doesn't work for setting up an application with the image editor ui.  I then found an example app in github (BTW the links to github are broken) here.  It's got a few gradle things that don't seem to be necessary, and some that I just don't understand - can anyone shed some light:

       

           /* 1) Apply the Gradle Retrolambda Plugin */
           apply plugin: 'me.tatarka.retrolambda'

       

      What's this for?  I've got an app working without it - is it required?

       

           manifestPlaceholders = [appPackageName: "${applicationId}"]

       

      Seem to be necessary this time but I was just wanting to know what's its for (it's not mention at all on the getting started guide)

       

           /* 2) Compile for Java 1.8 or greater */
           compileOptions {

             sourceCompatibility JavaVersion.VERSION_1_8

             targetCompatibility JavaVersion.VERSION_1_8

           }

       

      Again, I have an app running without this.  Is it really necessary?  What's it for?

       

      I've also had problems with getting it to work on an android 4.1 device.  Is this version supported?  I admit I don't fully understand the android `compileSdkVersion` v's `minSdkVersion` v's `targetSdkVersion` - however, the minSdkVersion of 16 does indicate that it should work on 4.1.